Page MenuHomePhabricator

SecurePoll: Add minimal logging functionality
Closed, ResolvedPublic

Description

Whenever a poll is created, edited, or modified, dump an XML copy of the poll into a SecurePoll namespace on votewiki, with the GPG keys removed for security, sorted by language. That way if a poll is changed, a technical user can diff the XML copies of the poll and figure out what was changed.

e.g. [[SecurePoll:152/en]] would contain the full history of changes to the English version of poll 152.


Version: unspecified
Severity: enhancement

Details

Reference
bz71695

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 3:48 AM
bzimport set Reference to bz71695.
Deskana created this task.Oct 6 2014, 5:40 AM
Anomie added a comment.Oct 9 2014, 4:56 PM

Should the manually-entered voter lists (eligibility list (sometimes), override list, exclude list) be dumped too, or should those lists be considered private? Should the job that builds the automatically-generated list log its starting and stopping on each wiki (and should that go to the individual wikis or to the main wiki)?

(In reply to Brad Jorsch from comment #1)

Should the manually-entered voter lists (eligibility list (sometimes),
override list, exclude list) be dumped too, or should those lists be
considered private?

In my opinion, yes. Part of the reason the logs are needed is to increase transparency, so this is part of that. Curious to hear James's thoughts on this.

Should the job that builds the automatically-generated
list log its starting and stopping on each wiki (and should that go to the
individual wikis or to the main wiki)?

Ideally this would be logged, but Erik's point about not polluting normal wikis with the SecurePoll namespace still holds. If that means we'd fill the votewiki log with hundreds of messages about that starting and stopping on all 800 wikis, and therefore decreasing signal-to-noise ratio of the log, then we shouldn't bother logging it.

gerritadmin wrote:

Change 166056 had a related patch set uploaded by Anomie:
Add editing and logging and other general work

https://gerrit.wikimedia.org/r/166056

gerritadmin wrote:

Change 166056 merged by jenkins-bot:
Add editing and logging and other general work

https://gerrit.wikimedia.org/r/166056

gerritadmin wrote:

Change 167586 had a related patch set uploaded by Anomie:
Add editing and logging and other general work

https://gerrit.wikimedia.org/r/167586

gerritadmin wrote:

Change 167586 merged by jenkins-bot:
Add editing and logging and other general work

https://gerrit.wikimedia.org/r/167586